Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network143.10.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
143.10.0.0
Broadcast address
143.10.63.255
First usable
143.10.0.1
Last usable
143.10.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
B (default /16)
As numbers
Hex 8F0A0000 · Integer 2399797248 to 2399813631
Reverse DNS zones
0.10.143.in-addr.arpa
1.10.143.in-addr.arpa
2.10.143.in-addr.arpa
3.10.143.in-addr.arpa
4.10.143.in-addr.arpa
5.10.143.in-addr.arpa
6.10.143.in-addr.arpa
7.10.143.in-addr.arpa
8.10.143.in-addr.arpa
9.10.143.in-addr.arpa
10.10.143.in-addr.arpa
11.10.143.in-addr.arpa
12.10.143.in-addr.arpa
13.10.143.in-addr.arpa
14.10.143.in-addr.arpa
15.10.143.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001111.00001010.00000000.00000000143.10.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network10001111.00001010.00000000.00000000143.10.0.0
Broadcast10001111.00001010.00111111.11111111143.10.63.255
Split into smaller subnets/24

143.10.0.0/18 makes 64 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1143.10.0.0/24143.10.0.1 to 143.10.0.254143.10.0.255254
2143.10.1.0/24143.10.1.1 to 143.10.1.254143.10.1.255254
3143.10.2.0/24143.10.2.1 to 143.10.2.254143.10.2.255254
4143.10.3.0/24143.10.3.1 to 143.10.3.254143.10.3.255254
5143.10.4.0/24143.10.4.1 to 143.10.4.254143.10.4.255254
6143.10.5.0/24143.10.5.1 to 143.10.5.254143.10.5.255254
7143.10.6.0/24143.10.6.1 to 143.10.6.254143.10.6.255254
8143.10.7.0/24143.10.7.1 to 143.10.7.254143.10.7.255254
9143.10.8.0/24143.10.8.1 to 143.10.8.254143.10.8.255254
10143.10.9.0/24143.10.9.1 to 143.10.9.254143.10.9.255254
11143.10.10.0/24143.10.10.1 to 143.10.10.254143.10.10.255254
12143.10.11.0/24143.10.11.1 to 143.10.11.254143.10.11.255254
13143.10.12.0/24143.10.12.1 to 143.10.12.254143.10.12.255254
14143.10.13.0/24143.10.13.1 to 143.10.13.254143.10.13.255254
15143.10.14.0/24143.10.14.1 to 143.10.14.254143.10.14.255254
16143.10.15.0/24143.10.15.1 to 143.10.15.254143.10.15.255254
17143.10.16.0/24143.10.16.1 to 143.10.16.254143.10.16.255254
18143.10.17.0/24143.10.17.1 to 143.10.17.254143.10.17.255254
19143.10.18.0/24143.10.18.1 to 143.10.18.254143.10.18.255254
20143.10.19.0/24143.10.19.1 to 143.10.19.254143.10.19.255254
21143.10.20.0/24143.10.20.1 to 143.10.20.254143.10.20.255254
22143.10.21.0/24143.10.21.1 to 143.10.21.254143.10.21.255254
23143.10.22.0/24143.10.22.1 to 143.10.22.254143.10.22.255254
24143.10.23.0/24143.10.23.1 to 143.10.23.254143.10.23.255254
25143.10.24.0/24143.10.24.1 to 143.10.24.254143.10.24.255254
26143.10.25.0/24143.10.25.1 to 143.10.25.254143.10.25.255254
27143.10.26.0/24143.10.26.1 to 143.10.26.254143.10.26.255254
28143.10.27.0/24143.10.27.1 to 143.10.27.254143.10.27.255254
29143.10.28.0/24143.10.28.1 to 143.10.28.254143.10.28.255254
30143.10.29.0/24143.10.29.1 to 143.10.29.254143.10.29.255254
31143.10.30.0/24143.10.30.1 to 143.10.30.254143.10.30.255254
32143.10.31.0/24143.10.31.1 to 143.10.31.254143.10.31.255254
33143.10.32.0/24143.10.32.1 to 143.10.32.254143.10.32.255254
34143.10.33.0/24143.10.33.1 to 143.10.33.254143.10.33.255254
35143.10.34.0/24143.10.34.1 to 143.10.34.254143.10.34.255254
36143.10.35.0/24143.10.35.1 to 143.10.35.254143.10.35.255254
37143.10.36.0/24143.10.36.1 to 143.10.36.254143.10.36.255254
38143.10.37.0/24143.10.37.1 to 143.10.37.254143.10.37.255254
39143.10.38.0/24143.10.38.1 to 143.10.38.254143.10.38.255254
40143.10.39.0/24143.10.39.1 to 143.10.39.254143.10.39.255254
41143.10.40.0/24143.10.40.1 to 143.10.40.254143.10.40.255254
42143.10.41.0/24143.10.41.1 to 143.10.41.254143.10.41.255254
43143.10.42.0/24143.10.42.1 to 143.10.42.254143.10.42.255254
44143.10.43.0/24143.10.43.1 to 143.10.43.254143.10.43.255254
45143.10.44.0/24143.10.44.1 to 143.10.44.254143.10.44.255254
46143.10.45.0/24143.10.45.1 to 143.10.45.254143.10.45.255254
47143.10.46.0/24143.10.46.1 to 143.10.46.254143.10.46.255254
48143.10.47.0/24143.10.47.1 to 143.10.47.254143.10.47.255254
49143.10.48.0/24143.10.48.1 to 143.10.48.254143.10.48.255254
50143.10.49.0/24143.10.49.1 to 143.10.49.254143.10.49.255254
51143.10.50.0/24143.10.50.1 to 143.10.50.254143.10.50.255254
52143.10.51.0/24143.10.51.1 to 143.10.51.254143.10.51.255254
53143.10.52.0/24143.10.52.1 to 143.10.52.254143.10.52.255254
54143.10.53.0/24143.10.53.1 to 143.10.53.254143.10.53.255254
55143.10.54.0/24143.10.54.1 to 143.10.54.254143.10.54.255254
56143.10.55.0/24143.10.55.1 to 143.10.55.254143.10.55.255254
57143.10.56.0/24143.10.56.1 to 143.10.56.254143.10.56.255254
58143.10.57.0/24143.10.57.1 to 143.10.57.254143.10.57.255254
59143.10.58.0/24143.10.58.1 to 143.10.58.254143.10.58.255254
60143.10.59.0/24143.10.59.1 to 143.10.59.254143.10.59.255254
61143.10.60.0/24143.10.60.1 to 143.10.60.254143.10.60.255254
62143.10.61.0/24143.10.61.1 to 143.10.61.254143.10.61.255254
63143.10.62.0/24143.10.62.1 to 143.10.62.254143.10.62.255254
64143.10.63.0/24143.10.63.1 to 143.10.63.254143.10.63.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses